%define _prefix /opt/freeware
%define _defaultdocdir %{_prefix}/doc

Summary: 	A tool for determining compilation options.
Name: 		pkg-config
Version: 	0.19
Release: 	6
License: 	GPL
Group: 		Development/Tools
Source:  	http://www.freedesktop.org/software/pkgconfig/releases/%{name}-%{version}.tar.bz2


BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Obsoletes:	pkgconfig < %{version}
Provides:	pkgconfig = %{version}

%description
The pkgconfig tool determines compilation options. For each required
library, it reads the configuration file and outputs the necessary
compiler and linker flags.

%prep
%setup -q



%build
export CC=xlc CXX=xlC
chmod +x ./configure
./configure --prefix=%{_prefix}
make

%install
if test "%{buildroot}" != "/"; then
	rm -rf %{buildroot}
fi
mkdir -p %{buildroot}
make DESTDIR=%{buildroot} install

# make links
cd %{buildroot}
for dir in bin 
do
        mkdir -p usr/$dir
        cd usr/$dir
        ln -sf ../..%{_prefix}/$dir/* .
        cd -
done

%files
%defattr(-,root,system)
%{_mandir}/*/*
%{_bindir}/*
%{_datadir}/aclocal/*
/usr/bin/*

%changelog
* Wed Jan 30 2008 Reza Arbab <arbab@austin.ibm.com> 0.19-6
- Provide "pkgconfig" for backward compatibility.

*  Wed Nov 15 2006  BULL
 - Release  5
 - gnome 2.16.1

*  Mon Sep 18 2006  BULL
 - Release  4
 - support 64 bits

*  Tue May 16 2006  BULL
 - Release  3

*  Tue Nov 15 2005  BULL
 - Release  2

*  Wed Nov 09 2005  BULL
 - Release  1
 - New version  version: 0.19

